Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 709930 - x11-drivers/nvidia-drivers-390.132-r1 - raise maximum kernel version
Summary: x11-drivers/nvidia-drivers-390.132-r1 - raise maximum kernel version
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Jeroen Roovers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-17 10:13 UTC by Tony
Modified: 2020-03-16 19:28 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tony 2020-02-17 10:13:26 UTC
Hey ho,
Can we bump the maximum kernel version for nvidia-drivers-390 to Linux 5.4 (the latest LTS kernel)

Maximum kernel version currently set to 5.3

/usr/portage/x11-drivers/nvidia-drivers/nvidia-drivers-390.132-r1.ebuild
    NV_KV_MAX_PLUS="5.4"

Linux 5.3 is EOL, meaning practically speaking, max kernel is 4.19 (LTS kernel)

I can confirm that
x11-drivers/nvidia-drivers-390.132-r1
compiles correctly and operates as expected on
sys-kernel/gentoo-sources-5.4.20

emerge --info below

Many thanks,

-------------------------

Portage 2.3.89 (python 3.6.10-final-0, default/linux/amd64/17.0/desktop/plasma/systemd, gcc-9.2.0, glibc-2.30-r3, 5.4.20-gentoo x86_64)
=================================================================
System uname: Linux-5.4.20-gentoo-x86_64-Intel-R-_Core-TM-_i5-6500_CPU_@_3.20GHz-with-gentoo-2.7
KiB Mem:     8076952 total,   5016788 free
KiB Swap:    8312828 total,   8312828 free
Timestamp of repository gentoo: Mon, 17 Feb 2020 09:00:01 +0000
Head commit of repository gentoo: 950cbdb183fb98489d41e23d368b0ba67fae6235
sh bash 5.0_p16
ld GNU ld (Gentoo 2.34 p1) 2.34.0
app-shells/bash:          5.0_p16::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.30.1::gentoo
dev-lang/python:          2.7.17-r1::gentoo, 3.6.10::gentoo, 3.7.6::gentoo, 3.8.1::gentoo
dev-util/cmake:           3.16.4::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/sandbox:         2.18::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.16.1-r2::gentoo
sys-devel/binutils:       2.34::gentoo
sys-devel/gcc:            9.2.0-r3::gentoo
sys-devel/gcc-config:     2.2.1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.5::gentoo (virtual/os-headers)
sys-libs/glibc:           2.30-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: 
    sync-rsync-verify-metamanifest: no
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.4/ext-active/ /etc/php/cgi-php7.4/ext-active/ /etc/php/cli-php7.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_GB.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en en_GB"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi activities alsa amd64 atm berkdb bluetooth branding bzip2 cairo caps cdda cdr cli crypt css cups curl cxx dbus declarative dri dts dv dvd dvdr egl emboss encode exif ffmpeg flac fontconfig fortran ftp gdbm gif gmp gpm gstreamer iconv icu imagemagick imap introspection ipv6 javascript jpeg kde kipi kwallet ladspa lash lcms libnotify libsamplerate libtirpc libv4l lm_sensors lzma mad mhash mime mmap mng mp3 mp4 mpeg mpi mplayer mtp multilib mysql ncurses nls nptl nsplugin offensive ogg openal opengl openmp pam pango pcre pdf perl phonon plasma png policykit postscript ppds pulseaudio python qml qt5 quicktime raw readline recode sasl sdl seccomp semantic-desktop smp sockets sound sox spell split-usr ssl startup-notification svg symlink syslog systemd tcpd theora threads tiff timidity truetype udev udisks unicode upower usb v4l vala vdpau vim-syntax vorbis wayland widgets wxwidgets x264 xattr xcb xcomposite xft xinerama xml xv xvid xvmc zeroconf zlib" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" L10N="en en-GB" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby26 ruby27" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Reproducible: Always
Comment 1 Larry the Git Cow gentoo-dev 2020-03-15 20:35:33 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e83944ea39f816e1aeb5fee5f3414b379e9594f4

commit e83944ea39f816e1aeb5fee5f3414b379e9594f4
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-03-15 20:33:33 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-03-15 20:35:29 +0000

    x11-drivers/nvidia-drivers: Update 390 branch
    
    - Add USE=libglvnd
    - Raise kernel version compatibility
    
    Package-Manager: Portage-2.3.94, Repoman-2.3.21
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=709930
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=711942
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 .../nvidia-drivers-390.132-r2.ebuild               | 583 +++++++++++++++++++++
 1 file changed, 583 insertions(+)
Comment 2 Larry the Git Cow gentoo-dev 2020-03-16 19:28:42 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00aee031fbc2c5102e5054d6a392bf4a802aeda7

commit 00aee031fbc2c5102e5054d6a392bf4a802aeda7
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-03-16 19:28:13 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-03-16 19:28:38 +0000

    x11-drivers/nvidia-drivers: Raise kernel version compatibility
    
    Package-Manager: Portage-2.3.94, Repoman-2.3.21
    Bug: https://bugs.gentoo.org/show_bug.cgi?id=709930
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 x11-drivers/nvidia-drivers/nvidia-drivers-390.132-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)